"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const src_1 = require("../src");
class App extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            draftTodo: '',
            todos: [{ title: 'hello' }],
        };
        this.onDraftTodoChanged = (value) => {
            this.setState({ draftTodo: value });
        };
        this.createTodo = () => {
            const { draftTodo, todos } = this.state;
            if (draftTodo !== '') {
                const newTodo = {
                    title: draftTodo,
                };
                this.setState({
                    todos: [...todos, newTodo],
                });
            }
        };
        this.removeTodo = (index) => {
            const todos = this.state.todos.slice();
            todos.splice(index, 1);
            this.setState({ todos });
        };
    }
    componentDidUpdate() {
        console.log(JSON.stringify(this.state, undefined, 2));
    }
    render() {
        return (React.createElement(src_1.View, { style: styles.container },
            React.createElement(src_1.ListBox, null, this.state.todos.map((todo, i) => (React.createElement(src_1.ListBoxRow, { key: i },
                React.createElement(src_1.View, { style: { flexDirection: 'row', alignItems: 'center', justifyContent: 'space-between' } },
                    React.createElement(src_1.Label, { text: todo.title }),
                    React.createElement(src_1.Button, { label: "X", onClick: () => this.removeTodo(i) })))))),
            React.createElement(src_1.View, { style: styles.controls },
                React.createElement(src_1.TextInput, { style: { height: 50, width: 200 }, value: this.state.draftTodo, onTextChanged: this.onDraftTodoChanged, onSubmitEditing: this.createTodo }),
                React.createElement(src_1.Button, { style: { height: 50, width: 70, marginLeft: 10 }, label: "Add Todo", onClick: this.createTodo }))));
    }
}
const styles = src_1.StyleSheet.create({
    container: {
        flexDirection: 'column',
        width: 600,
        height: 500,
    },
    controls: {
        flexDirection: 'row',
    }
});
src_1.render(React.createElement(App, null));
