"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const src_1 = require("../src");
class App extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            flexDirection: 'row',
            buttonLabel: 'RNG button',
            textInputValue: '',
        };
        this.onTextInputChange = (newValue) => {
            console.log(`text input changed! value = "${newValue}"`);
            this.setState({ textInputValue: newValue });
        };
    }
    componentWillUnmount() {
        console.log('App unmounted!');
    }
    componentDidUpdate() {
        console.log('current state: ' + JSON.stringify(this.state, undefined, 2));
    }
    render() {
        const viewStyle = {
            flex: 1,
            flexDirection: this.state.flexDirection,
            justifyContent: 'space-between',
            width: 700,
            height: 500,
        };
        const buttonStyle = {
            height: 50,
            width: 75,
        };
        const inputStyle = buttonStyle;
        return (React.createElement(src_1.View, { style: viewStyle },
            React.createElement(src_1.Button, { style: buttonStyle, label: this.state.buttonLabel, onClick: () => this.setState({ buttonLabel: String(Math.random()) }) }),
            React.createElement(src_1.Button, { style: buttonStyle, label: "Flex Button", onClick: () => this.setState({ flexDirection: this.state.flexDirection === 'row' ? 'column' : 'row' }) }),
            React.createElement(src_1.TextInput, { style: inputStyle, value: this.state.textInputValue, onTextChanged: this.onTextInputChange }),
            React.createElement(src_1.ListBox, { style: { height: 400, width: 100 } },
                React.createElement(src_1.ListBoxRow, null,
                    React.createElement(src_1.Label, { text: "hello world 1" })),
                React.createElement(src_1.ListBoxRow, null,
                    React.createElement(src_1.Label, { text: "hello world 2" })),
                React.createElement(src_1.ListBoxRow, null,
                    React.createElement(src_1.Label, { text: "hello world 3" })),
                React.createElement(src_1.ListBoxRow, null,
                    React.createElement(src_1.Label, { text: "hello world 4" })))));
    }
}
