"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const gtk = require("gtk-node");
const GtkContainer_1 = require("./GtkContainer");
const Reconciler_1 = require("./Reconciler");
function render(element) {
    const app = new gtk.Application();
    const window = new gtk.Window();
    const container = new GtkContainer_1.default(window);
    const root = Reconciler_1.default.createContainer(container);
    const hackLayoutInterval = setInterval(() => {
        // I haven't implemented the layout system at all
        // yet so i'll just do a layout every 100ms
        container.layoutChildren();
    }, 0);
    // we want to quit the app when the window is closed
    // but we also need to unmount every react component
    // first, to allow devs a place to cleanup timers, async stuff
    // etc.
    window.onClose(() => {
        clearInterval(hackLayoutInterval);
        unmountComponentAtNode(root);
        app.quit();
    });
    // react inital render!
    Reconciler_1.default.updateContainer(element, root);
    // start the application
    app.run(window);
}
exports.render = render;
function unmountComponentAtNode(container) {
    Reconciler_1.default.updateContainer(null, container, null);
}
exports.unmountComponentAtNode = unmountComponentAtNode;
