"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const gtk = require("gtk-node");
const GtkComponent_1 = require("./GtkComponent");
class Button extends GtkComponent_1.default {
    constructor(props) {
        super(props);
        this.node = new gtk.Button();
        this.onSizeAllocate = (allocation) => {
            const { width, height } = this.props.style;
            if (width === undefined) {
                this.layout.setWidth(allocation.getWidth());
            }
            if (height === undefined) {
                this.layout.setHeight(allocation.getHeight());
            }
        };
        this.node.onSizeAllocate(this.onSizeAllocate);
    }
    setProp(prop, value) {
        switch (prop) {
            case 'label':
                this.node.setLabel(value);
                break;
            case 'onClick':
                this.node.onClick(value);
                break;
        }
    }
}
exports.default = Button;
