import * as gtk from 'gtk-node';
import { Node } from 'yoga-layout';
import StyleAttributes from '../style/StyleAttributes';
export interface GtkProps {
    key?: string | number;
    style?: StyleAttributes;
    children?: any;
}
export default abstract class GtkComponent<NodeType extends gtk.Widget = gtk.Widget, Props extends GtkProps = GtkProps> {
    static defaultProps: GtkProps;
    static defaultStyle: StyleAttributes;
    abstract node: NodeType;
    props: Props;
    children: GtkComponent<gtk.Widget, GtkProps>[];
    layout: Node;
    constructor(props: Props);
    private acceptProps(props);
    commitMount(): void;
    commitUpdate(newProps: Props): void;
    private update();
    appendChild(child: GtkComponent): void;
    removeChild(child: GtkComponent): void;
    layoutChildren(): void;
    private setProps();
    setProp(prop: string, value: any): void;
    private applyStyles(style);
}
