"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const unmountComponentAtNode_1 = require("./unmountComponentAtNode");
const gtk = require("gtk-node");
const GtkContainer_1 = require("./GtkContainer");
const Reconciler_1 = require("./Reconciler");
function render(element) {
    const app = new gtk.Application();
    const window = new gtk.Window();
    const container = new GtkContainer_1.default(window);
    const root = Reconciler_1.default.createContainer(container);
    // we want to quit the app when the window is closed
    // but we also need to unmount every react component
    // first, to allow devs a place to cleanup timers, async stuff
    // etc.
    window.onClose(() => {
        unmountComponentAtNode_1.default(root);
        app.quit();
    });
    // react inital render!
    Reconciler_1.default.updateContainer(element, root, null, () => {
        // FIXME layout shouldn't happen here! It needs to be run when things update as well!
        container.layoutChildren();
    });
    // start the application
    app.run(window);
}
exports.default = render;
