import StyleAttributes from './StyleAttributes';
/**
 * This function expands CSS style shortcuts like 'margin' and 'padding'
 * into their components i.e. 'marginTop, MarginLeft, marginRight, marginBottom'.
 *
 * Returns a new style object and does not modify the original!
 */
export declare function expandStyleShorthands(sourceStyle: StyleAttributes): {
    flex?: number | undefined;
    flexDirection?: "row" | "column" | undefined;
    justifyContent?: "space-between" | "space-around" | undefined;
    alignItems?: "center" | "flex-start" | "flex-end" | "stretch" | undefined;
    width?: number | undefined;
    height?: number | undefined;
    margin?: number | undefined;
    marginLeft?: number | undefined;
    marginRight?: number | undefined;
    marginTop?: number | undefined;
    marginBottom?: number | undefined;
    padding?: number | undefined;
    paddingLeft?: number | undefined;
    paddingRight?: number | undefined;
    paddingTop?: number | undefined;
    paddingBottom?: number | undefined;
    borderColor?: string | undefined;
    borderTopColor?: string | undefined;
    borderRightColor?: string | undefined;
    borderLeftColor?: string | undefined;
    borderBottomColor?: string | undefined;
    borderRadius?: number | undefined;
    borderTopLeftRadius?: string | undefined;
    borderTopRightRadius?: string | undefined;
    borderBottomLeftRadius?: string | undefined;
    borderBottomRightRadius?: string | undefined;
    borderStyle?: "none" | "solid" | undefined;
    borderTopStyle?: "none" | "solid" | undefined;
    borderRightStyle?: "none" | "solid" | undefined;
    borderLeftStyle?: "none" | "solid" | undefined;
    borderBottomStyle?: "none" | "solid" | undefined;
    borderWidth?: number | undefined;
    borderTopWidth?: number | undefined;
    borderRightWidth?: number | undefined;
    borderLeftWidth?: number | undefined;
    borderBottomWidth?: number | undefined;
};
